Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.uddi4j.datatype.business
Class BusinessEntity

    java.lang.Object
      org.uddi4j.UDDIElement
          org.uddi4j.datatype.business.BusinessEntity

All Implemented Interfaces:
  java.io.Serializable

public class BusinessEntity
extends UDDIElement

Represents the businessEntity element within the UDDI version 2.0 schema. This class contains the following types of methods:

- Constructor passing required fields.
- Constructor that will instantiate the object from an appropriate XML DOM element.
- Get/set methods for each attribute that this element can contain.
- A get/setVector method is provided for sets of attributes.
- SaveToXML method. Serializes this class within a passed in element.

Typically, this class is used to construct parameters for, or interpret responses from methods in the UDDIProxy class.

Element description: Primary Data type: Describes an instance of a business or business unit.

Author:
  David Melgar (dmelgar@us.ibm.com), Ravi Trivedi (ravi_trivedi@hp.com), Vivek Chopra (vivek@soaprpc.com)
See Also:
  Serialized Form

Field Summary
`protected org.w3c.dom.Element` | `base`
`static java.lang.String` | `UDDI_TAG`

Fields inherited from class org.uddi4j.UDDIElement
`GENERIC, SOAPNS, XMLNS, XMLNS_PREFIX`

Constructor Summary
`BusinessEntity()` Default constructor.
`BusinessEntity(org.w3c.dom.Element base)` Construct the object from a DOM tree.
`BusinessEntity(java.lang.String businessKey, java.lang.String name)` Construct the object with required fields.
`BusinessEntity(java.lang.String businessKey, java.lang.String name, java.lang.String lang)` Construct the object with required fields.

Method Summary
`java.lang.String` | `getAuthorizedName()`
`java.lang.String` | `getBusinessKey()`
`BusinessServices` | `getBusinessServices()`
`CategoryBag` | `getCategoryBag()`
`Contacts` | `getContacts()`
`java.lang.String` | `getDefaultDescriptionString()` Get default description string
`Name` | `getDefaultName()`
`java.lang.String` | `getDefaultNameString()` Get default name string.
`java.util.Vector` | `getDescriptionVector()` Get description
`DiscoveryURLs` | `getDiscoveryURLs()`
`IdentifierBag` | `getIdentifierBag()`
`Name` | `getName()` Deprecated. This method has been deprecated. Use `()` or `()` instead
`java.lang.String` | `getNameString()` Deprecated. This method has been deprecated. Use `()` or `()` instead
`java.util.Vector` | `getNameVector()` Get all names.
`java.lang.String` | `getOperator()`
`void` | `saveToXML(org.w3c.dom.Element parent)` Save an object to the DOM tree.
`void` | `setAuthorizedName(java.lang.String s)`
`void` | `setBusinessKey(java.lang.String s)`
`void` | `setBusinessServices(BusinessServices s)`
`void` | `setCategoryBag(CategoryBag s)`
`void` | `setContacts(Contacts s)`
`void` | `setDefaultDescriptionString(java.lang.String s)` Set default description string.
`void` | `setDefaultName(Name name)` This method stores this name as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDefaultNameString(java.lang.String value, java.lang.String lang)` This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).
`void` | `setDescriptionVector(java.util.Vector s)` Set description vector.
`void` | `setDiscoveryURLs(DiscoveryURLs s)`
`void` | `setIdentifierBag(IdentifierBag s)`
`void` | `setName(Name s)` Deprecated. This method has been deprecated. Use `(Vector)` or `(Name)` instead
`void` | `setName(java.lang.String s)` Deprecated. This method has been deprecated. Use `(Vector)` or `(String, String)` instead
`void` | `setNameVector(java.util.Vector s)`
`void` | `setOperator(java.lang.String s)`

Methods inherited from class org.uddi4j.UDDIElement
`getChildElementsByTagName, getText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UDDI_TAG

    public static final java.lang.String UDDI_TAG

See Also:
  Constant Field Values

### base

    protected org.w3c.dom.Element base

Constructor Detail

### BusinessEntity

    public BusinessEntity()

  Default constructor. Avoid using the default constructor for validation. It does not validate required fields. Instead, use the required fields constructor to perform validation.

### BusinessEntity

    public BusinessEntity(java.lang.String businessKey,
                          java.lang.String name)

  Construct the object with required fields. Publishing several names (e.g., for romanization purposes) is supported. To indicate the language that the names are expressed in, a unique xml:lang value is associated with each name. Only one name (default language) can omit its unique language identifier. Other names passed without an xml:lang value associated, are assigned the default language code of the registering party. The default language code is established at the time the publishing credentials are established with an individual Operator Site. If no default language is provisioned at the time a publisher signs up, the operator can adopt an appropriate default language code.

Parameters:
  `businessKey` - String
  `name` - String

### BusinessEntity

    public BusinessEntity(java.lang.String businessKey,
                          java.lang.String name,
                          java.lang.String lang)

  Construct the object with required fields.

Parameters:
  `businessKey` - String
  `name` - String
  `lang` - String

### BusinessEntity

    public BusinessEntity(org.w3c.dom.Element base)
                   throws UDDIException

  Construct the object from a DOM tree. Used by UDDIProxy to construct an object from a received UDDI message.

Parameters:
  `base` - Element with the name appropriate for this class.
Throws:
  `UDDIException` - Thrown if DOM tree contains a SOAP fault or a disposition report indicating a UDDI error.

Method Detail

### setBusinessKey

    public void setBusinessKey(java.lang.String s)

### setOperator

    public void setOperator(java.lang.String s)

### setAuthorizedName

    public void setAuthorizedName(java.lang.String s)

### setDiscoveryURLs

    public void setDiscoveryURLs(DiscoveryURLs s)

### setName

    public void setName(Name s)

  Deprecated. This method has been deprecated. Use `(Vector)` or `(Name)` instead

### setName

    public void setName(java.lang.String s)

  Deprecated. This method has been deprecated. Use `(Vector)` or `(String, String)` instead

### setDefaultName

    public void setDefaultName(Name name)

  This method stores this name as the Default Name (i.e., places it in the first location in the Vector).

### setDefaultNameString

    public void setDefaultNameString(java.lang.String value,
                                     java.lang.String lang)

  This method stores this String, in the given language as the Default Name (i.e., places it in the first location in the Vector).

### setNameVector

    public void setNameVector(java.util.Vector s)

  Parameters:
    `s` - Vector of Name objects

### setContacts

    public void setContacts(Contacts s)

### setBusinessServices

    public void setBusinessServices(BusinessServices s)

### setIdentifierBag

    public void setIdentifierBag(IdentifierBag s)

### setCategoryBag

    public void setCategoryBag(CategoryBag s)

### setDescriptionVector

    public void setDescriptionVector(java.util.Vector s)

  Set description vector.

  Parameters:
    `s` - Vector of Description objects.

### setDefaultDescriptionString

    public void setDefaultDescriptionString(java.lang.String s)

  Set default description string.

  Parameters:
    `s` - String

### getBusinessKey

    public java.lang.String getBusinessKey()

### getOperator

    public java.lang.String getOperator()

### getAuthorizedName

    public java.lang.String getAuthorizedName()

### getDiscoveryURLs

    public DiscoveryURLs getDiscoveryURLs()

### getName

    public Name getName()

  Deprecated. This method has been deprecated. Use `()` or `()` instead

### getNameString

    public java.lang.String getNameString()

  Deprecated. This method has been deprecated. Use `()` or `()` instead

### getDefaultName

    public Name getDefaultName()

### getDefaultNameString

    public java.lang.String getDefaultNameString()

  Get default name string.

  Returns:
    String

### getNameVector

    public java.util.Vector getNameVector()

  Get all names.

  Returns:
    Vector of Name objects.

### getContacts

    public Contacts getContacts()

### getBusinessServices

    public BusinessServices getBusinessServices()

### getIdentifierBag

    public IdentifierBag getIdentifierBag()

### getCategoryBag

    public CategoryBag getCategoryBag()

### getDescriptionVector

    public java.util.Vector getDescriptionVector()

  Get description

  Returns:
    s Vector of Description objects.

### getDefaultDescriptionString

    public java.lang.String getDefaultDescriptionString()

  Get default description string

  Returns:
    s String

### saveToXML

    public void saveToXML(org.w3c.dom.Element parent)

  Save an object to the DOM tree. Used to serialize an object to a DOM tree, usually to send a UDDI message.
  Used by UDDIProxy.

  Specified by:
    `saveToXML` in class `UDDIElement`
  Parameters:
    `parent` - Object will serialize as a child element under the passed in parent element.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 International Business Machines Corporation, Hewlett-Packard Company. All Rights Reserved.